"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabelsHelper = void 0;
const url = require("url");
class LabelsHelper {
    static method(request, response) {
        return request.method;
    }
    static route(request, response) {
        if (request.route) {
            return request.route.path;
        }
        return url.parse(request.originalUrl).pathname;
    }
    static routeWithMark(request, response) {
        const { pathname } = url.parse(request.originalUrl);
        return pathname
            .split('/')
            .map((path) => {
            if (this.REGEXP.NUMBER.test(path) || this.REGEXP.UUID.test(path)) {
                return ':id';
            }
            return path;
        })
            .join('/');
    }
    static statusCode(_request, response) {
        return response.statusCode.toString();
    }
}
exports.LabelsHelper = LabelsHelper;
LabelsHelper.REGEXP = {
    NUMBER: /^\-?\d+$/,
    UUID: /^[\da-f]{8}\-[\da-f]{4}\-[\da-f]{4}\-[\da-f]{4}\-[\da-f]{12}$/,
};
