import { DynamicModule, MiddlewareConsumer, NestModule } from '@nestjs/common';
import * as Prometheus from 'prom-client';
import { LabelsHelper } from './LabelsHelper';
export declare class MetricController {
    metrics(): Promise<string>;
}
export declare class PrometheusModule implements NestModule {
    LabelsHelper: typeof LabelsHelper;
    constructor();
    PROM_LABELS: string[];
    httpRequestsTotal: Prometheus.Counter<string>;
    httpRequestDurationSeconds: Prometheus.Histogram<string>;
    httpRequestLengthBytes: Prometheus.Histogram<string>;
    httpResponseLengthBytes: Prometheus.Histogram<string>;
    configure(consumer: MiddlewareConsumer): void;
    middleware(): (req: any, res: any, next: any) => void;
    middlewareLabels(request: any, response: any): string[];
    customMetrics(labels: string[], req: any, res: any, time: number): void;
    static fromRoot({ controllers }?: {
        controllers?: any;
    }): DynamicModule;
}
export { Prometheus };
